libzypp 17.37.10

zypp::target::PatchMessageReport Struct Reference

Request to display the pre commit message of a patch. More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::PatchMessageReport:

## Public Member Functions
virtual bool | show (Patch::constPtr &)
| Display `patch->message()`.
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Additional Inherited Members
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Detailed Description

Request to display the pre commit message of a patch.

Definition at line 506 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ show()

virtual bool zypp::target::PatchMessageReport::show | ( | Patch::constPtr & |  | ) |
| inline virtual

Display `patch->message()`.

Return `true` to continue, `false` to abort commit.

Definition at line 511 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h